Open Closed

Error installing Survey Analytics in aspnetzero angular project #9992


0
omkarchoudhari created
  • What is your product version? 9.2.0
  • What is your product type (Angular or MVC)? Angular
  • What is product framework type (.net framework or .net core)? .net core

If issue related with ABP Framework

  • What is ABP Framework version?
  • "abp-ng2-module": "^6.2.0", "abp-web-resources": "^5.3.0",

We are trying to install Survey Analytics for SurveyJS . SurveyJS is installed without issue. However, while installing Survey Analytics, we always get this error

Here are the Survey Analytics version

We tried following :

  1. Tried with latest 10.0 and earlier 9.0 version of aspnetzero gives same above error
  2. TRied a plain simple non-aspnetzero angular project and installed survey analytics without any error. 3.Deleted node modules folder twice and run yarn again and tries installing Survey Analytics, but same error occurs.

Hence it seems to us as an aspnetzero framework issue. Can you please provide suggestions or resolution to this ? This is urgent.

Thanks


1 Answer(s)
  • 0
    musa.demir created
    Support Team

    It look like it is known issue, see: https://github.com/image-size/image-size/issues/289

    Can you please try adding that lines to your project.json file

    "browser": { "fs": false }